<template lang="pug">
.card.b-card.shadow-sm
  .card-header(v-if='props.title || hasSlot("header")')
    slot(name='header')
      h5 {{ props.title }}
  BaseAnimationGroup(tag='ul' :appear='false' anim='height')
    slot(name='default')
  BaseAnimationBlock(anim='height' :appear='false')
    .card-footer(v-if='hasSlot("footer")')
      slot(name='footer')
</template>
<script setup>
import { useSlots } from "vue";

const props = defineProps({
  title: { type: String, default: "" }
});

const slots = useSlots();

/**
 * @param {string} name
 */
function hasSlot(name) {
  return !!slots?.[name];
}
</script>
<style>
.b-card .card-header h5 {
  margin: 0 !important;
}
</style>
